Page MenuHomePhabricator

Need to investigate the reason behind several complaints about translation discard workflow
Closed, ResolvedPublic

Description

Several people have complained that the 'discard translation' button does not seem to be working as expected. Circumstances vary, but it would be good to figure out what the causes are.

  • T128106 - Drafts created out of duplicate suggestion articles are not discarded

I will keep adding more cases as we come across them.

Event Timeline

Arrbee created this task.Mar 8 2016, 5:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 5:51 AM
Arrbee updated the task description. (Show Details)Mar 8 2016, 5:51 AM
Arrbee updated the task description. (Show Details)

Change 276708 had a related patch set uploaded (by Santhosh):
Fix PHP error in ApiContentTranslationDelete

https://gerrit.wikimedia.org/r/276708

From logstash:

Warning: update() expects exactly 1 parameter, 0 given in /.../ContentTranslation/includes/Translation.php on line 74

Catchable fatal error: Argument 1 passed to ContentTranslation\Translation::update() must be an instance of array,
undefined variable given in /.../ContentTranslation/includes/Translation.php on line 74

Change 276708 merged by jenkins-bot:
Fix PHP error in ApiContentTranslationDelete

https://gerrit.wikimedia.org/r/276708

Nikerabbit moved this task from Backlog to QA on the LE-CX8-Sprint 4 board.
Arrbee triaged this task as Normal priority.Mar 15 2016, 7:07 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 4 board.Mar 16 2016, 11:02 AM
Arrbee closed this task as Resolved.Mar 29 2016, 7:49 AM
Arrbee claimed this task.